%global momorel 8
Summary: Enhanced IP routing and network devices configuration tools
Name: iproute
Version: 2.4.7
Release: %{momorel}m
Group: Applications/System
Source0: ftp://ftp.inr.ac.ru/ip-routing/iproute2-2.4.7-now-ss010824.tar.gz
NoSource: 0
Source1: ip.8
Patch0: iproute2-2.2.4-docmake.patch
Patch1: iproute2-misc.patch
Patch2: iproute2-config.patch
Patch4:	iproute2-in_port_t.patch
Patch5: iproute2-makefile.patch
Patch6: iproute2-flags.patch
Patch7: iproute2-futu-ko-surudaro.patch
Patch8: iproute2-2.4.7-kernel26.patch

# for security
Patch11: iproute2-2.4.7-hfsc.patch
Patch12: iproute2-2.4.7-local-exploit-fix.patch
Patch13: iproute2-2.4.7-rates-1024-fix.patch

# for usagi extention
Patch50: iproute2-usagi-20020518.patch
License: GPL
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: tetex
BuildRequires: momonga-rpmmacros >= 20040310-6m

%description
The iproute package contains networking utilities (ip and rtmon, for
example) which are designed to use the advanced networking
capabilities of the Linux 2.2.x kernel.

%prep
%setup -q -n iproute2
%patch0 -p1 -b .doc
%patch1 -p1 -b .misc
%patch2 -p1
%patch4 -p1 -b .glibc22
%patch5 -p1 -b .kernel
%patch6 -p1 -b .flags
%patch7 -p1 -b .dassa
%patch8 -p1 -b .kernel26

%patch11 -p1 -b .hfsc
%patch12 -p1 -b .local
%patch13 -p1 -b .1024

%if %{usagi_ipv6}
%patch50 -p1 -b .usagi
%endif

%build
%define optflags -ggdb

make
make -C doc

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}/sbin \
	%{buildroot}%{_sbindir} \
	%{buildroot}%{_mandir}/man8 \
%if %{_ipv6}
	%{buildroot}%{_mandir}/man3 \
%endif
	%{buildroot}/etc/iproute2

install -s -m 755 ip/ip ip/ifcfg ip/rtmon tc/tc %{buildroot}/sbin
install -s -m 755 ip/rtacct %{buildroot}%{_sbindir}
install -s -m 644 %{SOURCE1} %{buildroot}%{_mandir}/man8
%if %{usagi_ipv6}
install -s -m 644 lib/libnetlink.3 %{buildroot}%{_mandir}/man3
%endif

cp -f etc/iproute2/* %{buildroot}/etc/iproute2

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%dir /etc/iproute2
%doc README.decnet README.iproute2+tc RELNOTES
%doc doc/*.ps examples
/sbin/*
%{_mandir}/man8/*
%if %{usagi_ipv6}
%{_mandir}/man3/*
%endif
%attr(644,root,root) %config(noreplace) /etc/iproute2/*
%{_sbindir}/*

%changelog
* Tue Dec 16 2004 Mitsuru Shimamura <smbd@momonga-linux.org>
- (2.4.7-8m)
- [SECURITY] CAN-2003-0856
  iproute 2.4.7 and earlier allows local users to cause a denial of service via spoofed messages as other users to the kernel netlink interface. 

* Fri Sep 24 2004 Shotaro Kamio <skamio@momonga-linux.org>
- (2.4.7-7m)
- add patch8 for kernel 2.6

* Fri Jul  9 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.4.7-6m)
- add BuildRequires: momonga-rpmmacros >= 20040310-6m
- change _ipv6 to usagi_ipv6

* Sun Nov  9 2003 Masaru SANUKI <sanuki@hh.iij4u.or.jp>
- (2.4.7-5m)
- use %%{momorel}

* Sat May 18 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (2.4.7-4k)
- add usagi patch

* Sun May 12 2002 Toru Hoshina <t@kondara.org>
- (2.4.7-2k)
- ver up.

* Sat Jun 23 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.2.4-16k)
- add iproute-2.2.4-kernel-2.4.4.patch for kernel 2.4.4

* Wed Mar  7 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.2.4-14k)
- rebuild against disable IPv6 environment

* Tue Nov 28 2000 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- remake Patch1

* Fri Oct 27 2000 Kenichi Matsubara <m@kondara.org>
- add BuildPrereq: dvipsk

* Mon Aug 07 2000 Toru Hoshina <t@kondara.org>
- Kodaraized.

* Tue Jul 25 2000 Jakub Jelinek <jakub@redhat.com>
- fix include-glibc/ to cope with glibc 2.2 new resolver headers

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sun Jun 18 2000 Than Ngo <than@redhat.de>
- rebuilt in the new build environment
- use RPM macros
- handle RPM_OPT_FLAGS

* Sat Jun 03 2000 Than Ngo <than@redhat.de>
- fix iproute to build with new glibc

* Fri May 26 2000 Ngo Than <than@redhat.de>
- update to 2.2.4-now-ss000305
- add configuration files

* Mon Sep 13 1999 Bill Nottingham <notting@redhat.com>
- strip binaries

* Mon Aug 16 1999 Cristian Gafton <gafton@redhat.com>
- first build
